Chromium Code Reviews
Help | Chromium Project | Sign in
(14)

Issue 6865035: Roll ANGLE r609:r625 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years ago by apatrick_chromium
Modified:
3 years, 11 months ago
Reviewers:
Ken Russell
CC:
chromium-reviews
Visibility:
Public.

Description

Roll ANGLE r609:r626 Revision: 626 Author: apatrick@chromium.org Date: 5:24:23 PM, Thursday, April 28, 2011 Message: Fix compilation errors in translator.cpp. Review URL: http://codereview.appspot.com/4445073 ---- Modified : /trunk/samples/translator/translator.cpp Modified : /trunk/src/common/version.h Revision: 625 Author: jbauman@chromium.org Date: 4:19:51 PM, Thursday, April 28, 2011 Message: Don't constantly recreate index buffers. Recreating index buffers for closing loops can take a long time, so use a streaming index buffer instead. BUG= TEST= Review URL: http://codereview.appspot.com/4438080 ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Context.cpp Modified : /trunk/src/libGLESv2/Context.h Revision: 624 Author: benvanik@google.com Date: 1:11:54 PM, Thursday, April 28, 2011 Message: Updating resource types on Context (Framebuffers and Fences) to use hash_map, as done to other types in r615. Issue=148 Signed-off-by: Daniel Koch ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Context.h Revision: 623 Author: benvanik@google.com Date: 12:44:39 PM, Thursday, April 28, 2011 Message: Unifying resource handle allocation code with an allocator optimized for O(1) allocs/releases. Issue=143 Signed-off-by: Daniel Koch ---- Modified : /trunk/src/build_angle.gyp Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Context.cpp Modified : /trunk/src/libGLESv2/Context.h Added : /trunk/src/libGLESv2/HandleAllocator.cpp Added : /trunk/src/libGLESv2/HandleAllocator.h Modified : /trunk/src/libGLESv2/ResourceManager.cpp Modified : /trunk/src/libGLESv2/ResourceManager.h Modified : /trunk/src/libGLESv2/libGLESv2.vcproj Revision: 622 Author: daniel@transgaming.com Date: 9:20:58 AM, Thursday, April 28, 2011 Message: Handle null pointer produced by vertex buffer lock Issue=120 TRAC #16558 Signed-off-by: Daniel Koch Author: Nicolas Capens (original patch by Jacob Benoit) ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Blit.cpp Revision: 620 Author: daniel@transgaming.com Date: 11:36:43 AM, Tuesday, April 26, 2011 Message: Add MapLongVariableNames files to standalone vcproj ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/compiler/translator_common.vcproj Revision: 619 Author: zmo@google.com Date: 6:30:07 PM, Friday, April 22, 2011 Message: Implement shader identifier name mapping. The name mapping happens when an identifier is longer than 32 characters. The name mapping is behind a flag, so it won't happen by default. Also, functions to query the mapped names are added. The purpose of this CL is for the drivers that can't handle long names. For example, linux NVIDIA driver can't handle 256 character name, whereas WebGL spec requires that. This CL also fixes the issue that some of the TIntermSymbols' ids are 0s. ANGLEBUG=144 TEST=test manually with shaders with long identifier names. Review URL: http://codereview.appspot.com/4428058 ---- Modified : /trunk/src/common/version.h Modified : /trunk/include/GLSLANG/ShaderLang.h Modified : /trunk/src/build_angle.gyp Modified : /trunk/src/compiler/Compiler.cpp Added : /trunk/src/compiler/MapLongVariableNames.cpp Added : /trunk/src/compiler/MapLongVariableNames.h Modified : /trunk/src/compiler/ParseHelper.cpp Modified : /trunk/src/compiler/ParseHelper.h Modified : /trunk/src/compiler/ShHandle.h Modified : /trunk/src/compiler/ShaderLang.cpp Modified : /trunk/src/compiler/VariableInfo.cpp Modified : /trunk/src/compiler/VariableInfo.h Modified : /trunk/src/compiler/glslang.y Modified : /trunk/src/compiler/glslang_tab.cpp Modified : /trunk/src/compiler/glslang_tab.h Modified : /trunk/src/compiler/intermediate.h Revision: 618 Author: daniel@transgaming.com Date: 4:33:27 AM, Friday, April 22, 2011 Message: Use StretchRect to speed up simple blits. Fixed copy position transformation. TRAC #16494 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Blit.cpp Modified : /trunk/src/libGLESv2/Blit.h Modified : /trunk/src/libGLESv2/Texture.cpp Revision: 617 Author: daniel@transgaming.com Date: 9:18:50 PM, Thursday, April 21, 2011 Message: Advertise depthbuffer-less surface configs. TRAC #16493 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libEGL/Config.cpp Modified : /trunk/src/libEGL/Display.cpp Modified : /trunk/src/libEGL/Surface.cpp Revision: 616 Author: daniel@transgaming.com Date: 9:17:57 PM, Thursday, April 21, 2011 Message: Heuristically optimize buffer usage. TRAC #16343 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Buffer.cpp Modified : /trunk/src/libGLESv2/Buffer.h Modified : /trunk/src/libGLESv2/IndexDataManager.cpp Modified : /trunk/src/libGLESv2/VertexDataManager.cpp Revision: 615 Author: daniel@transgaming.com Date: 8:03:48 AM, Thursday, April 14, 2011 Message: Use a hash map for faster resource lookups. TRAC #14871 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/Program.cpp Modified : /trunk/src/libGLESv2/ResourceManager.h Revision: 614 Author: daniel@transgaming.com Date: 7:58:33 AM, Wednesday, April 13, 2011 Message: Optimized prepareVertexData and protect against NULL pointers. TRAC #14871 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/IndexDataManager.cpp Modified : /trunk/src/libGLESv2/VertexDataManager.cpp Revision: 613 Author: daniel@transgaming.com Date: 7:57:16 AM, Wednesday, April 13, 2011 Message: Move the vertex declaration cache to a helper class. TRAC #14871 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/libGLESv2/Context.cpp Modified : /trunk/src/libGLESv2/Context.h Revision: 612 Author: daniel@transgaming.com Date: 7:56:47 AM, Wednesday, April 13, 2011 Message: Eliminate lookupAttributeMapping. TRAC #14871 Signed-off-by: Daniel Koch Author: Nicolas Capens ---- Modified : /trunk/src/libGLESv2/VertexDataManager.cpp Modified : /trunk/src/libGLESv2/Context.cpp Modified : /trunk/src/libGLESv2/Context.h Modified : /trunk/src/libGLESv2/VertexDataManager.h Revision: 609 Author: jbauman@chromium.org Date: 11:59:51 AM, Wednesday, April 06, 2011 Message: Profiling shows that creating and destroying vertex declarations is extremely expensive, so we can keep a 16-element cache around to speed that up. BUG= TEST=JSGameBench Review URL: http://codereview.appspot.com/4358051 ---- Modified : /trunk/src/common/version.h Modified : /trunk/src/libGLESv2/VertexDataManager.cpp Modified : /trunk/src/libGLESv2/VertexDataManager.h TEST=tryBUG=none Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=83749

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M DEPS View 1 chunk +1 line, -1 line 0 comments Download
Commit: CQ not working?

Messages

Total messages: 2 (0 generated)
apatrick_chromium
Running by trybots now...
4 years ago (2011-04-18 20:06:23 UTC) #1
Ken Russell
4 years ago (2011-04-18 20:08:43 UTC) #2
LGTM as long as it's been tested.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e0e3771